#include "/home/biere/src/compsat/compsat.h"
#include <stdio.h>

int
main (void)
{
  CompSat * mgr;
  int res;

  mgr = compsat_new ();
  compsat_add_literal (mgr, 1);
  compsat_add_literal (mgr, 2);
  compsat_add_literal (mgr, 0);
  compsat_add_literal (mgr, -1);
  compsat_add_literal (mgr, -2);
  compsat_add_literal (mgr, 0);
  res = compsat_sat (mgr);
  if (res == COMPSAT_SATISFIABLE)
    {
      printf ("SATISFIABLE: %d %d\n",
	      compsat_deref (mgr, 1) ? 1 : -1,
	      compsat_deref (mgr, 2) ? 2 : -2);
    }
  else
    printf ("UNSATISFIABLE\n");

  compsat_delete (mgr);

  return res;
}
